6.0.0-git
2019-03-24

[#14469] IMP breaks recipient addresses taken from address book
Summary IMP breaks recipient addresses taken from address book
Queue IMP
Queue Version 6.2.16
Type Bug
State Not Reproducible
Priority 1. Low
Owners
Requester marth (at) tsvschlieben (dot) de
Created 2016-09-15 (920 days ago)
Due
Updated 2016-09-21 (914 days ago)
Assigned 2016-09-15 (920 days ago)
Resolved 2016-09-18 (917 days ago)
Milestone
Patch No

History
2016-09-21 18:45:48 samuel (dot) wolf (at) wolf-maschinenbau (dot) de Comment #8 Reply to this comment

[Show Quoted Text - 9 lines]
Same issue?
Bug #14476
2016-09-19 07:19:49 marth (at) tsvschlieben (dot) de Comment #6 Reply to this comment
There was a bug fixed recently in Horde_Mime related that would 
cause exactly this, if parsing a MIME encoded address list. Perhaps 
this was the cause? Make sure you are running the most recent 
framework packages - especially Horde_Mime.
Could you please tell me the concrete bug that caused it? I have the 
newest Horde_Mime but want to check if my local version really 
contains your bugfix...

2016-09-18 12:02:15 Jan Schneider State ⇒ Not Reproducible
 
2016-09-17 12:48:35 Michael Rubinsky Comment #5 Reply to this comment
Cannot reproduce locally or on the Horde demo site.
2016-09-16 12:36:03 marth (at) tsvschlieben (dot) de Comment #4 Reply to this comment
I'm running the latest version (at least there are no newer versions 
available in PEAR)

It's: 2.10.1
2016-09-15 13:30:26 Michael Rubinsky Comment #3 Reply to this comment
There was a bug fixed recently in Horde_Mime related that would cause 
exactly this, if parsing a MIME encoded address list. Perhaps this was 
the cause? Make sure you are running the most recent framework 
packages - especially Horde_Mime.
2016-09-15 12:52:01 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Cannot reproduce.
2016-09-15 07:54:18 marth (at) tsvschlieben (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ IMP breaks recipient addresses taken from address book
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
IMP breaks recipient addresses if name format in address book 
preferences is set to "Lastname, Firstname".
Steps to reproduce
1. Set "Name format" in address book preferences to "Lastname, 
Firstname" (ie. Doe, John).
2. Compose a new message in IMP using a recipient from the address book.
3. Save as draft.
4. After opening the mail again, the recipient's address is broken 
into two recipients: "Lastname" and "Firstname".

Saved Queries